curl --request PATCH \
--url https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Proveedor de alimentos",
"nameOfContact": "Ana",
"invoiceExpirationDays": 30
}
'import requests
url = "https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}"
payload = {
"name": "Proveedor de alimentos",
"nameOfContact": "Ana",
"invoiceExpirationDays": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Proveedor de alimentos',
nameOfContact: 'Ana',
invoiceExpirationDays: 30
})
};
fetch('https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Proveedor de alimentos',
'nameOfContact' => 'Ana',
'invoiceExpirationDays' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}"
payload := strings.NewReader("{\n \"name\": \"Proveedor de alimentos\",\n \"nameOfContact\": \"Ana\",\n \"invoiceExpirationDays\": 30\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Proveedor de alimentos\",\n \"nameOfContact\": \"Ana\",\n \"invoiceExpirationDays\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Proveedor de alimentos\",\n \"nameOfContact\": \"Ana\",\n \"invoiceExpirationDays\": 30\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>"
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Editar proveedor
Aplica los campos indicados mediante la misma mutación del administrador. Los arreglos enviados reemplazan su contenido completo. Requiere autorización admin y un usuario conectado; un token de integración sin usuario responde userRequired. Se aplican los mismos permisos y validaciones del formulario de inventario.
curl --request PATCH \
--url https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Proveedor de alimentos",
"nameOfContact": "Ana",
"invoiceExpirationDays": 30
}
'import requests
url = "https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}"
payload = {
"name": "Proveedor de alimentos",
"nameOfContact": "Ana",
"invoiceExpirationDays": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Proveedor de alimentos',
nameOfContact: 'Ana',
invoiceExpirationDays: 30
})
};
fetch('https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Proveedor de alimentos',
'nameOfContact' => 'Ana',
'invoiceExpirationDays' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}"
payload := strings.NewReader("{\n \"name\": \"Proveedor de alimentos\",\n \"nameOfContact\": \"Ana\",\n \"invoiceExpirationDays\": 30\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Proveedor de alimentos\",\n \"nameOfContact\": \"Ana\",\n \"invoiceExpirationDays\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.service.getjusto.com/v3/admin/inventory/providers/{providerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Proveedor de alimentos\",\n \"nameOfContact\": \"Ana\",\n \"invoiceExpirationDays\": 30\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"storeId": "<string>"
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID del registro, obtenido al crearlo o en la consulta de su colección.
Body
Nombre del proveedor.
Teléfono de contacto, con código de país.
Correo electrónico de contacto.
Comentarios del proveedor.
Identificador tributario del proveedor.
Tipo de documento DIAN para proveedores colombianos.
11, 12, 13, 21, 22, 31, 41, 42, 47, 50, null Tipo de persona: 1 jurídica, 2 natural.
1, 2, null Dirección del proveedor.
Ciudad.
Código de municipio DANE, cuando corresponda.
Régimen tributario del proveedor.
Nombre de la persona de contacto.
Días para el vencimiento de las facturas.